import sys
from dataflow.utils.registry import LazyLoader

_import_structure = {
    "SuperfilteringFilter": ("dataflow/process/text/filters/superfiltering_filter.py", "SuperfilteringFilter"),
    "DeitaComplexityFilter": ("dataflow/process/text/filters/deita_complexity_filter.py", "DeitaComplexityFilter"),
    "DeitaQualityFilter": ("dataflow/process/text/filters/deita_quality_filter.py", "DeitaQualityFilter"),
    "AlpagasusFilter": ("dataflow/process/text/filters/alpagasus_filter.py", "AlpagasusFilter"),
    "PerspectiveFilter": ("dataflow/process/text/filters/perspective_filter.py", "PerspectiveFilter"),
    "TreeinstructFilter": ("dataflow/process/text/filters/treeinstrct_filter.py", "TreeinstructFilter"),
    "NgramFilter": ("dataflow/process/text/filters/ngram_filter.py", "NgramFilter"),
    "LexicalDiversityFilter": ("dataflow/process/text/filters/lexical_diversity_filter.py", "LexicalDiversityFilter"),
    "LangkitFilter": ("dataflow/process/text/filters/langkit_filter.py", "LangkitFilter"),
    "UnievalFilter": ("dataflow/process/text/filters/unieval_filter.py", "UnievalFilter"),
    "InstagFilter": ("dataflow/process/text/filters/instag_filter.py", "InstagFilter"),
    "TextbookFilter": ("dataflow/process/text/filters/textbook_filter.py", "TextbookFilter"),
    "FineWebEduFilter": ("dataflow/process/text/filters/finewebedu_filter.py", "FineWebEduFilter"),
    "DebertaV3Filter": ("dataflow/process/text/filters/debertav3_filter.py", "DebertaV3Filter"),
    "PerplexityFilter": ("dataflow/process/text/filters/perplexity_filter.py", "PerplexityFilter"),
    "QuratingFilter": ("dataflow/process/text/filters/qurating_filter.py", "QuratingFilter"),
    "PresidioFilter": ("dataflow/process/text/filters/presidio_filter.py", "PresidioFilter"),
    "RMFilter": ("dataflow/process/text/filters/reward_model_filter.py", "RMFilter"),
    "LanguageFilter": ("dataflow/process/text/filters/language_filter.py", "LanguageFilter"),
    "WordNumberFilter": ("dataflow/process/text/filters/heuristics.py", "WordNumberFilter"),
    "ColonEndFilter": ("dataflow/process/text/filters/heuristics.py", "ColonEndFilter"),
    "SentenceNumberFilter": ("dataflow/process/text/filters/heuristics.py", "SentenceNumberFilter"),
    "LineEndWithEllipsisFilter": ("dataflow/process/text/filters/heuristics.py", "LineEndWithEllipsisFilter"),
    "LineEndWithTerminalFilter": ("dataflow/process/text/filters/heuristics.py", "LineEndWithTerminalFilter"),
    "ContentNullFilter": ("dataflow/process/text/filters/heuristics.py", "ContentNullFilter"),
    "MeanWordLengthFilter": ("dataflow/process/text/filters/heuristics.py", "MeanWordLengthFilter"),
    "SymbolWordRatioFilter": ("dataflow/process/text/filters/heuristics.py", "SymbolWordRatioFilter"),
    "AlphaWordsFilter": ("dataflow/process/text/filters/heuristics.py", "AlphaWordsFilter"),
    "HtmlEntityFilter": ("dataflow/process/text/filters/heuristics.py", "HtmlEntityFilter"),
    "IDCardFilter": ("dataflow/process/text/filters/heuristics.py", "IDCardFilter"),
    "NoPuncFilter": ("dataflow/process/text/filters/heuristics.py", "NoPuncFilter"),
    "SpecialCharacterFilter": ("dataflow/process/text/filters/heuristics.py", "SpecialCharacterFilter"),
    "WatermarkFilter": ("dataflow/process/text/filters/heuristics.py", "WatermarkFilter"),
    "StopWordFilter": ("dataflow/process/text/filters/heuristics.py", "StopWordFilter"),
    "CurlyBracketFilter": ("dataflow/process/text/filters/heuristics.py", "CurlyBracketFilter"),
    "CapitalWordsFilter": ("dataflow/process/text/filters/heuristics.py", "CapitalWordsFilter"),
    "LoremIpsumFilter": ("dataflow/process/text/filters/heuristics.py", "LoremIpsumFilter"),
    "UniqueWordsFilter": ("dataflow/process/text/filters/heuristics.py", "UniqueWordsFilter"),
    "CharNumberFilter": ("dataflow/process/text/filters/heuristics.py", "CharNumberFilter"),
    "LineStartWithBulletpointFilter": ("dataflow/process/text/filters/heuristics.py", "LineStartWithBulletpointFilter"),
    "LineWithJavascriptFilter": ("dataflow/process/text/filters/heuristics.py", "LineWithJavascriptFilter"),
    "BlocklistFilter": ("dataflow/process/text/filters/heuristics.py", "BlocklistFilter"),
    "PairQualFilter": ("dataflow/process/text/filters/pair_qual_filter.py", "PairQualFilter"),
}

sys.modules[__name__] = LazyLoader(__name__, "dataflow/process/text/filters", _import_structure)

